<?xml version="1.0" encoding="UTF-8"?>
<Metrics scope="web" type="Project" date="2006-07-30" xmlns="http://metrics.sourceforge.net/2003/Metrics-First-Flat">
   <Metric id = "NSM" description ="Number of Static Methods">
      <Values per = "type" total = "0" avg = "0" stddev = "0" max = "0">
         <Value name="IdentificationServlet" source ="IdentificationServlet.java" package ="(default package)" value ="0"/>
      </Values>
   </Metric>
   <Metric id = "TLOC" description ="Total Lines of Code">
      <Value value="42"/>
   </Metric>
   <Metric id = "CA" description ="Afferent Coupling">
      <Values per = "packageFragment" avg = "0" stddev = "0" max = "0">
         <Value name="(default package)" package ="(default package)" value ="0"/>
      </Values>
   </Metric>
   <Metric id = "RMD" description ="Normalized Distance">
      <Values per = "packageFragment" avg = "0" stddev = "0" max = "0">
         <Value name="(default package)" package ="(default package)" value ="0"/>
      </Values>
   </Metric>
   <Metric id = "NOC" description ="Number of Classes">
      <Values per = "packageFragment" total = "1" avg = "1" stddev = "0" max = "1">
         <Value name="(default package)" package ="(default package)" value ="1"/>
      </Values>
   </Metric>
   <Metric id = "SIX" description ="Specialization Index">
      <Values per = "type" avg = "1.5" stddev = "0" max = "1.5">
         <Value name="IdentificationServlet" source ="IdentificationServlet.java" package ="(default package)" value ="1.5"/>
      </Values>
   </Metric>
   <Metric id = "RMI" description ="Instability">
      <Values per = "packageFragment" avg = "1" stddev = "0" max = "1">
         <Value name="(default package)" package ="(default package)" value ="1"/>
      </Values>
   </Metric>
   <Metric id = "NOF" description ="Number of Attributes">
      <Values per = "type" total = "0" avg = "0" stddev = "0" max = "0">
         <Value name="IdentificationServlet" source ="IdentificationServlet.java" package ="(default package)" value ="0"/>
      </Values>
   </Metric>
   <Metric id = "NOP" description ="Number of Packages">
      <Value value="1"/>
   </Metric>
   <Metric id = "MLOC" description ="Method Lines of Code">
      <Values per = "method" total = "17" avg = "4.25" stddev = "5.629" max = "14">
         <Value name="criaXMLPaciente" source ="IdentificationServlet.java" package ="(default package)" value ="14"/>
         <Value name="doGet" source ="IdentificationServlet.java" package ="(default package)" value ="1"/>
         <Value name="doPost" source ="IdentificationServlet.java" package ="(default package)" value ="1"/>
         <Value name="init" source ="IdentificationServlet.java" package ="(default package)" value ="1"/>
      </Values>
   </Metric>
   <Metric id = "WMC" description ="Weighted methods per Class">
      <Values per = "type" total = "4" avg = "4" stddev = "0" max = "4">
         <Value name="IdentificationServlet" source ="IdentificationServlet.java" package ="(default package)" value ="4"/>
      </Values>
   </Metric>
   <Metric id = "NORM" description ="Number of Overridden Methods">
      <Values per = "type" total = "2" avg = "2" stddev = "0" max = "2">
         <Value name="IdentificationServlet" source ="IdentificationServlet.java" package ="(default package)" value ="2"/>
      </Values>
   </Metric>
   <Metric id = "NSF" description ="Number of Static Attributes">
      <Values per = "type" total = "2" avg = "2" stddev = "0" max = "2">
         <Value name="IdentificationServlet" source ="IdentificationServlet.java" package ="(default package)" value ="2"/>
      </Values>
   </Metric>
   <Metric id = "NBD" description ="Nested Block Depth" max ="5" hint ="use Extract-method to split the method up">
      <Values per = "method" avg = "1" stddev = "0" max = "1">
         <Value name="criaXMLPaciente" source ="IdentificationServlet.java" package ="(default package)" value ="1"/>
         <Value name="doGet" source ="IdentificationServlet.java" package ="(default package)" value ="1"/>
         <Value name="doPost" source ="IdentificationServlet.java" package ="(default package)" value ="1"/>
         <Value name="init" source ="IdentificationServlet.java" package ="(default package)" value ="1"/>
      </Values>
   </Metric>
   <Metric id = "NOM" description ="Number of Methods">
      <Values per = "type" total = "4" avg = "4" stddev = "0" max = "4">
         <Value name="IdentificationServlet" source ="IdentificationServlet.java" package ="(default package)" value ="4"/>
      </Values>
   </Metric>
   <Metric id = "LCOM" description ="Lack of Cohesion of Methods">
      <Values per = "type" avg = "0" stddev = "0" max = "0">
         <Value name="IdentificationServlet" source ="IdentificationServlet.java" package ="(default package)" value ="0"/>
      </Values>
   </Metric>
   <Metric id = "VG" description ="McCabe Cyclomatic Complexity" max ="10" hint ="use Extract-method to split the method up">
      <Values per = "method" avg = "1" stddev = "0" max = "1">
         <Value name="criaXMLPaciente" source ="IdentificationServlet.java" package ="(default package)" value ="1"/>
         <Value name="doGet" source ="IdentificationServlet.java" package ="(default package)" value ="1"/>
         <Value name="doPost" source ="IdentificationServlet.java" package ="(default package)" value ="1"/>
         <Value name="init" source ="IdentificationServlet.java" package ="(default package)" value ="1"/>
      </Values>
   </Metric>
   <Metric id = "PAR" description ="Number of Parameters" max ="5" hint ="Move invoked method or pass an object">
      <Values per = "method" avg = "1.75" stddev = "0.433" max = "2">
         <Value name="criaXMLPaciente" source ="IdentificationServlet.java" package ="(default package)" value ="2"/>
         <Value name="doGet" source ="IdentificationServlet.java" package ="(default package)" value ="2"/>
         <Value name="doPost" source ="IdentificationServlet.java" package ="(default package)" value ="2"/>
         <Value name="init" source ="IdentificationServlet.java" package ="(default package)" value ="1"/>
      </Values>
   </Metric>
   <Metric id = "RMA" description ="Abstractness">
      <Values per = "packageFragment" avg = "0" stddev = "0" max = "0">
         <Value name="(default package)" package ="(default package)" value ="0"/>
      </Values>
   </Metric>
   <Metric id = "NOI" description ="Number of Interfaces">
      <Values per = "packageFragment" total = "0" avg = "0" stddev = "0" max = "0">
         <Value name="(default package)" package ="(default package)" value ="0"/>
      </Values>
   </Metric>
   <Metric id = "CE" description ="Efferent Coupling">
      <Values per = "packageFragment" avg = "0" stddev = "0" max = "0">
         <Value name="(default package)" package ="(default package)" value ="0"/>
      </Values>
   </Metric>
   <Metric id = "NSC" description ="Number of Children">
      <Values per = "type" total = "0" avg = "0" stddev = "0" max = "0">
         <Value name="IdentificationServlet" source ="IdentificationServlet.java" package ="(default package)" value ="0"/>
      </Values>
   </Metric>
   <Metric id = "DIT" description ="Depth of Inheritance Tree">
      <Values per = "type" avg = "3" stddev = "0" max = "3">
         <Value name="IdentificationServlet" source ="IdentificationServlet.java" package ="(default package)" value ="3"/>
      </Values>
   </Metric>
   </Metrics>
